/**
 *
 */
package edu.cmu.radar.dynaweb.actions;

import java.util.LinkedList;
import java.util.List;

import edu.cmu.radar.dynaweb.entities.Location;

/**
 * @author Jialiang
 *
 * A struts action that provides room data for Stever Hall (Rooms122204Stever.jsp)
 */
public class SteverRoomAction extends RoomAction {
	/**
	 * the list of formatted capacity-names
	 * */
	private List<String> fmtCapNames = new LinkedList<String>();

	/**
	 * the room capacity formatter
	 * */
	private static CapacityFormat format = new SteverCapacityFormat();

	/**
	 * the room list
	 * */
	private List<Room> rooms = new LinkedList<Room>();

	/*
	 * (non-Javadoc)
	 *
	 * @see com.opensymphony.xwork2.ActionSupport#execute()
	 */
	public String execute() throws Exception {
		List<Location> locations = getServices().getLocation("Stever");
		List<String> capNames = getCapacityNames(locations);
		fmtCapNames = getFormattedCapacityNames(capNames);
		rooms = getRooms(locations, capNames, format);

		return SUCCESS;
	}

	/**
	 * @return the fmtCapNames
	 */
	public List<String> getFmtCapNames() {
		return fmtCapNames;
	}

	/**
	 * @return the rooms
	 */
	public List<Room> getRooms() {
		return rooms;
	}

}

class SteverCapacityFormat implements CapacityFormat {

	/*
	 * (non-Javadoc)
	 *
	 * @see edu.cmu.radar.dynaweb.actions.CapacityFormat#format(java.lang.String,
	 *      java.lang.String)
	 */
	public String format(String configuration, String capacity) {
		if (configuration == null || capacity == null) {
			return "n/a";
		}
		try {
		if (!"0".equals(capacity) && (Integer.parseInt(capacity)==0)) {
			return "n/a";
		}
		} catch (Exception e) {
			return "n/a";
		}



		return capacity;

	}

}

