package edu.cmu.radar.dynaweb.entities;

// Generated Jun 22, 2008 12:44:51 AM by Hibernate Tools 3.1.0.beta4

import java.util.HashSet;
import java.util.Set;

/**
 * Represents a Location in the Radar system.
 * 
 * @author Robert McGuire (and Hibernate)
 * 
 */

public class Location implements java.io.Serializable {

	// Fields

	private Integer id;
	/**
	 * The name of this location as shown to the user.
	 * 
	 */
	private String caption;
	/**
	 * Unique string identifier for IET.
	 * 
	 */
	private String eid;
	private Integer x;
	private Integer y;
	private Integer z;
	private String building;
	private String floor;
	private Integer footprint;
	private Integer width;
	private Integer length;
	private Integer height;
	private String type;
	private Integer cost;
	private Integer microphones;
	private Integer podiums;
	private Integer projector;
	private Integer stations;
	private Integer computers;
	/**
	 * The list of room configurations and their associated capacities for this
	 * location.
	 * 
	 */
	private Set capacities = new HashSet(0);

	// Constructors

	/** default constructor */
	public Location() {
	}

	/** minimal constructor */
	public Location(String caption, String eid) {
		this.caption = caption;
		this.eid = eid;
	}

	/** full constructor */
	public Location(String caption, String eid, Integer x, Integer y,
			Integer z, String building, String floor, Integer footprint,
			Integer width, Integer length, Integer height, String type,
			Integer cost, Integer microphones, Integer podiums,
			Integer projector, Integer stations, Integer computers,
			Set capacities) {
		this.caption = caption;
		this.eid = eid;
		this.x = x;
		this.y = y;
		this.z = z;
		this.building = building;
		this.floor = floor;
		this.footprint = footprint;
		this.width = width;
		this.length = length;
		this.height = height;
		this.type = type;
		this.cost = cost;
		this.microphones = microphones;
		this.podiums = podiums;
		this.projector = projector;
		this.stations = stations;
		this.computers = computers;
		this.capacities = capacities;
	}

	// Property accessors

	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	/**
	 * * The name of this location as shown to the user.
	 * 
	 */

	public String getCaption() {
		return this.caption;
	}

	public void setCaption(String caption) {
		this.caption = caption;
	}

	/**
	 * * Unique string identifier for IET.
	 * 
	 */

	public String getEid() {
		return this.eid;
	}

	public void setEid(String eid) {
		this.eid = eid;
	}

	public Integer getX() {
		return this.x;
	}

	public void setX(Integer x) {
		this.x = x;
	}

	public Integer getY() {
		return this.y;
	}

	public void setY(Integer y) {
		this.y = y;
	}

	public Integer getZ() {
		return this.z;
	}

	public void setZ(Integer z) {
		this.z = z;
	}

	public String getBuilding() {
		return this.building;
	}

	public void setBuilding(String building) {
		this.building = building;
	}

	public String getFloor() {
		return this.floor;
	}

	public void setFloor(String floor) {
		this.floor = floor;
	}

	public Integer getFootprint() {
		return this.footprint;
	}

	public void setFootprint(Integer footprint) {
		this.footprint = footprint;
	}

	public Integer getWidth() {
		return this.width;
	}

	public void setWidth(Integer width) {
		this.width = width;
	}

	public Integer getLength() {
		return this.length;
	}

	public void setLength(Integer length) {
		this.length = length;
	}

	public Integer getHeight() {
		return this.height;
	}

	public void setHeight(Integer height) {
		this.height = height;
	}

	public String getType() {
		return this.type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public Integer getCost() {
		return this.cost;
	}

	public void setCost(Integer cost) {
		this.cost = cost;
	}

	public Integer getMicrophones() {
		return this.microphones;
	}

	public void setMicrophones(Integer microphones) {
		this.microphones = microphones;
	}

	public Integer getPodiums() {
		return this.podiums;
	}

	public void setPodiums(Integer podiums) {
		this.podiums = podiums;
	}

	public Integer getProjector() {
		return this.projector;
	}

	public void setProjector(Integer projector) {
		this.projector = projector;
	}

	public Integer getStations() {
		return this.stations;
	}

	public void setStations(Integer stations) {
		this.stations = stations;
	}

	public Integer getComputers() {
		return this.computers;
	}

	public void setComputers(Integer computers) {
		this.computers = computers;
	}

	/**
	 * * The list of room configurations and their associated capacities for
	 * this location.
	 * 
	 */

	public Set getCapacities() {
		return this.capacities;
	}

	public void setCapacities(Set capacities) {
		this.capacities = capacities;
	}

}
